Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class ShadingColorHighlighter

    java.lang.Object
      org.jdesktop.swingx.decorator.AbstractHighlighter
          org.jdesktop.swingx.decorator.ColorHighlighter
              org.jdesktop.swingx.decorator.ShadingColorHighlighter

All Implemented Interfaces:
  Highlighter

    public class ShadingColorHighlighter

extends ColorHighlighter

Experimental replacement of HierarchicalColumnHighligher. Darkens the component's background.

Author:
  Jeanette Winzenburg

Field Summary

Fields inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`listenerList`

Constructor Summary
`ShadingColorHighlighter()` Instantiates a Highlighter with null colors using the default HighlightPredicate.
`ShadingColorHighlighter(HighlightPredicate predicate)` Instantiates a Highlighter with null colors using the specified HighlightPredicate.

Method Summary
`protected void` | `applyBackground(java.awt.Component renderer, ComponentAdapter adapter)` Applies a suitable background for the renderer component within the specified adapter.
`protected java.awt.Color` | `computeBackgroundSeed(java.awt.Color seed)`

Methods inherited from class org.jdesktop.swingx.decorator.ColorHighlighter
`applyForeground, doHighlight, getBackground, getForeground, getSelectedBackground, getSelectedForeground, isLegacy, setBackground, setForeground, setLegacy, setSelectedBackground, setSelectedForeground`

Methods inherited from class org.jdesktop.swingx.decorator.AbstractHighlighter
`addChangeListener, areEqual, canHighlight, fireStateChanged, getChangeListeners, getHighlightPredicate, highlight, removeChangeListener, setHighlightPredicate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShadingColorHighlighter

    public ShadingColorHighlighter()

  Instantiates a Highlighter with null colors using the default HighlightPredicate.

### ShadingColorHighlighter

    public ShadingColorHighlighter(HighlightPredicate predicate)

  Instantiates a Highlighter with null colors using the specified HighlightPredicate.

  Parameters:
    `predicate` - the HighlightPredicate to use.

Method Detail

### applyBackground

    protected void applyBackground(java.awt.Component renderer,
                                   ComponentAdapter adapter)

  Applies a suitable background for the renderer component within the specified adapter.

  This implementation applies its a darkened background to an unselected adapter. Does nothing for selected cells.

  Overrides:
    `applyBackground` in class `ColorHighlighter`
  Parameters:
    `renderer` - the cell renderer component that is to be decorated
    `adapter` - the ComponentAdapter for this decorate operation

### computeBackgroundSeed

    protected java.awt.Color computeBackgroundSeed(java.awt.Color seed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.